<?php namespace App\Models\Admin;

use App\Models\Project\DatatableModel;

class CareerModel extends AdminModel{
	private $table;
	
    public function __construct(){
		parent::__construct();
		$this->table = "career";
    }
	
	public function get_datatable(){
		$dtObj = new DatatableModel($this->db);
		$dtObj->set_table($this->table);
		// Set Datatable columns 
		$dtObj->set_column('career_id', 'desc', 'RecordID');
		$dtObj->set_column('title', 'sort|search');
		$dtObj->set_column('status', 'sort|search');
		$builder = $dtObj->get_builder();
		$builder->where('is_deleted','No');
		return $dtObj->get_data($builder);
	}
	
	public function get($career_id){
		$builder = $this->db->table($this->table);
		$query = $builder->where('career_id',$career_id)->get();
		return $query->getRowArray();
	}
	
	public function insert($data){
		$this->add_insert_log($data);
		$builder = $this->db->table($this->table);
		$builder->insert($data);
	}
	
	public function update($data, $career_id){
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('career_id',$career_id);
		$builder->update($data);
	}
	
	
	public function delete($career_id){
		$data['is_deleted'] = "Yes";
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('career_id',$career_id)
				->update($data);
	}

	public function is_unique_career_url($career_url,$career_id){
		$builder = $this->db->table($this->table);
		$builder->where('is_deleted','No')
				->where('career_url',$career_url);
		if($career_id){
			$builder->where('career_id!=',$career_id);
		}
		$query = $builder->get();
		if($query->getRowArray()){
			$response = "FALSE|The Career Url already exist!";
		}else{
			$response = "TRUE|";
		}
		return $response;
	}
}